//
//  RootViewController.m
//  SlidingMenu
//
//  Created by Matthew Brochstein on 5/7/12.
//  Copyright (c) 2012 . All rights reserved.
//

#import "RootViewController.h"
#import "ETRSlidingMenuViewController.h"
#import "TestContentViewController.h"
#import "TestMenuViewController.h"

@interface RootViewController ()

@property (nonatomic, retain) ETRSlidingMenuViewController *slidingMenuViewController;

@end

@implementation RootViewController

@synthesize slidingMenuViewController = _slidingMenuViewController;

- (id)initWithNibName:(NSString *)nibNameOrNil bundle:(NSBundle *)nibBundleOrNil
{
    self = [super initWithNibName:nibNameOrNil bundle:nibBundleOrNil];
    if (self) {
    
        [self.view setBackgroundColor:[UIColor colorWithRed:0.8 green:0.8 blue:1.0 alpha:1.0]];
        
    }
    return self;
}

- (void)viewDidLoad
{
    
    [super viewDidLoad];
    
    UIViewController *contentViewController = [[[TestContentViewController alloc] initWithNibName:nil bundle:nil] autorelease];
    UIViewController *menuViewController = [[[TestMenuViewController alloc] initWithNibName:nil bundle:nil] autorelease];

    self.slidingMenuViewController = [[[ETRSlidingMenuViewController alloc] initWithContentViewController:contentViewController andMenuViewController:menuViewController] autorelease];
    
    [self.view addSubview:self.slidingMenuViewController.view];
    [self.slidingMenuViewController setMenuWidth:255.0];
    [self.slidingMenuViewController.view setFrame:self.view.bounds];
    
}

- (void)viewDidUnload
{
    [super viewDidUnload];
    // Release any retained subviews of the main view.
}

- (void)willRotateToInterfaceOrientation:(UIInterfaceOrientation)toInterfaceOrientation duration:(NSTimeInterval)duration
{
    [super willRotateToInterfaceOrientation:toInterfaceOrientation duration:duration];
    [self.slidingMenuViewController willRotateToInterfaceOrientation:toInterfaceOrientation duration:duration];
}

- (void)didRotateFromInterfaceOrientation:(UIInterfaceOrientation)fromInterfaceOrientation
{
    [super didRotateFromInterfaceOrientation:fromInterfaceOrientation];
    [self.slidingMenuViewController didRotateFromInterfaceOrientation:fromInterfaceOrientation];
}

- (void)willAnimateRotationToInterfaceOrientation:(UIInterfaceOrientation)toInterfaceOrientation duration:(NSTimeInterval)duration
{
    [super willAnimateRotationToInterfaceOrientation:toInterfaceOrientation duration:duration];
    [self.slidingMenuViewController willAnimateRotationToInterfaceOrientation:toInterfaceOrientation duration:duration];
}

- (BOOL)shouldAutorotateToInterfaceOrientation:(UIInterfaceOrientation)interfaceOrientation
{
    return YES;
}

@end
