//
//  TestMenuViewController.m
//  SlidingMenu
//
//  Created by Matthew Brochstein on 5/7/12.
//  Copyright (c) 2012 __MyCompanyName__. All rights reserved.
//

#import "TestMenuViewController.h"
#import "ETRSlidingMenuViewController.h"
#import "TestContentViewController.h"

@interface TestMenuViewController ()

@end

@implementation TestMenuViewController

- (id)initWithStyle:(UITableViewStyle)style
{
    self = [super initWithStyle:style];
    if (self) {
        // Custom initialization
    }
    return self;
}

- (void)viewDidLoad
{
    [super viewDidLoad];

    [self.tableView setSeparatorStyle:UITableViewCellSeparatorStyleNone];
}

- (void)viewDidUnload
{
    [super viewDidUnload];

}

- (BOOL)shouldAutorotateToInterfaceOrientation:(UIInterfaceOrientation)interfaceOrientation
{
    return (interfaceOrientation == UIInterfaceOrientationPortrait);
}

#pragma mark - Table view data source

- (NSInteger)numberOfSectionsInTableView:(UITableView *)tableView
{
    return 1;
}

- (NSInteger)tableView:(UITableView *)tableView numberOfRowsInSection:(NSInteger)section
{
    return 10;
}

- (NSString *)labelForCellWithIndexPath:(NSIndexPath *)indexPath
{
    if (indexPath.row == 0) {
        return @"Hamburger Test";
    }
    return [NSString stringWithFormat:@"Menu Item %i", indexPath.row];
}

- (UITableViewCell *)tableView:(UITableView *)tableView cellForRowAtIndexPath:(NSIndexPath *)indexPath
{
    static NSString *CellIdentifier = @"Cell";
    UITableViewCell *cell = [tableView dequeueReusableCellWithIdentifier:CellIdentifier];

    if (!cell) {
        cell = [[[UITableViewCell alloc] initWithStyle:UITableViewCellStyleDefault reuseIdentifier:CellIdentifier] autorelease];
    }
    
    [cell.textLabel setText:[self labelForCellWithIndexPath:indexPath]];
    
    return cell;
    
}

#pragma mark - Table view delegate

- (void)tableView:(UITableView *)tableView didSelectRowAtIndexPath:(NSIndexPath *)indexPath
{

    UIViewController *newViewController = nil;
    
    if (indexPath.row == 0) {
        newViewController = [[[TestContentViewController alloc] initWithNibName:nil bundle:nil] autorelease];
    }
    else {
        newViewController = [[[UIViewController alloc] init] autorelease];
        [newViewController.view setBackgroundColor:[UIColor colorWithRed:(random()%100)/(float)100 green:(random()%100)/(float)100 blue:(random()%100)/(float)100 alpha:1.0]];
    }
    
    if (newViewController) {
        [self.slidingMenuViewController setContentViewController:newViewController];
        [self.slidingMenuViewController hideMenu];        
    }
    
}

@end
